Bug 410531 - Kernel fails to audit netmask on IPsec SPD events
Kernel fails to audit netmask on IPsec SPD events
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity high
: ---
: ---
Assigned To: Eric Paris
Martin Jenner
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2007-12-04 11:08 EST by Paul Moore
Modified: 2008-05-21 11:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Moore 2007-12-04 11:08:02 EST
Description of problem:
Currently the netmask/prefix-length of an IPsec SPD entry is not included in 
any of the SPD related audit messages.  This can cause problems when the audit 
log is examined as the netmask/prefix-length is vital in determining what 
network traffic is affected by a particular SPD entry.  A patch has already 
been submitted and accepted upstream for the 2.6.25 kernel which addresses 
this issue:

http://git.kernel.org/?p=linux/kernel/git/davem/net-2.6.25.git;a=commit;h=72d1492e7433ae296d0dff549a70e8677b5f0cd3

Version-Release number of selected component (if applicable):
kernel-2.6.18-58.el5

How reproducible:
Everytime

Steps to Reproduce:
1. Create a new IPsec SPD entry using a network address, not a host address
2. Examine the audit log for the IPsec SPD entry
  
Actual results:
Missing netmask/prefix-length information

Expected results:
The SPD's netmask/prefix-length information is included in the audit record
Comment 2 RHEL Product and Program Management 2007-12-10 16:15:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2007-12-21 15:18:33 EST
in 2.6.18-62.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2008-05-21 11:02:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.